# WOKMake_StepFile.lxx File Reference

## Defines

#define | STEPFILE_PHYSIC 0x01
#define | STEPFILE_LOCATE 0x02
#define | STEPFILE_STEPID 0x04
#define | STEPFILE_DIRECT 0x08
#define | STEPFILE_REFPROD 0x10
#define | STEPFILE_MEMBEXT 0x20

## Functions

const | Handle (TCollection_HAsciiString)&WOKMake_StepFile
const | Handle (WOKernel_File)&WOKMake_StepFile
const | Handle (WOKBuilder_Entity)&WOKMake_StepFile
const | Handle (WOKUtils_Path)&WOKMake_StepFile

## Define Documentation

#define STEPFILE_DIRECT 0x08

#define STEPFILE_LOCATE 0x02

#define STEPFILE_MEMBEXT 0x20

#define STEPFILE_PHYSIC 0x01

#define STEPFILE_REFPROD 0x10

#define STEPFILE_STEPID 0x04

## Function Documentation

const Handle | ( | WOKUtils_Path |  | ) | `[inline]`

const Handle | ( | WOKBuilder_Entity |  | ) | `[inline]`

const Handle | ( | WOKernel_File |  | ) | `[inline]`

const Handle | ( | TCollection_HAsciiString |  | ) | `[inline]`